Bug 59350 - High CPU usage on close app With Threads open
Summary: High CPU usage on close app With Threads open
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: 5.2 (2017-04)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-08 16:28 UTC by mxater
Modified: 2018-01-24 16:37 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
High cpu usage by mono and app (13.37 KB, image/png)
2017-09-08 16:28 UTC, mxater
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description mxater 2017-09-08 16:28:15 UTC
Created attachment 24656 [details]
High cpu usage by mono and app

I using C#, is a console app, when I close the app with "Environment.Exit(0)", the app begin to use a lot CPU.

My app has openend Threads, and I close this before send Exit().

I use Thread.Sleep() before Exit().
Comment 1 Ludovic Henry 2017-09-21 20:54:51 UTC
Could you please attach with a debugger (lldb or gdb) and provide the stacktraces of all the threads? Thank you
Comment 2 Ludovic Henry 2018-01-24 16:37:31 UTC
Please provide information requested in previous comment to reopen. Thank you.